from fastapi import APIRouter, status
from schemas.anime import AnimeCreate, AnimeSchema
from helpers.anime_helpers import create_anime
from sqlalchemy.orm import Session
from fastapi import Depends
from core.database import get_db

router = APIRouter()

@router.post("/anime", status_code=status.HTTP_201_CREATED, response_model=AnimeSchema)
async def create_new_anime(
    anime_data: AnimeCreate,
    db: Session = Depends(get_db)
):
    new_anime = create_anime(db=db, anime_data=anime_data)
    return new_anime